Page MenuHomeFreeBSD

lang/ruby27: throw out {irb,ri,rdoc} from lang/ruby27
ClosedPublic

Authored by meta on Feb 5 2020, 2:10 AM.

Details

Reviewers
None
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
portmgr
Commits
rP528339: lang/ruby27: throw out irb, ri, rdoc from lang/ruby27
Summary

because they're provided as "default gem" since Ruby 2.6.

We provide default gems as gem ports rather than a part of lang/ruby* port.
files/patch-tool_rbinstall.rb makes not to install such default gems
however hollow wrapper scripts bin/{irb,ri,rdoc} and their manpages are
still left.

This changeset intend to move out such wrapper scripts and manpages to
gem ports completely.

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 29917
Build 27736: arc lint + arc unit

Event Timeline

meta created this revision.Feb 5 2020, 2:10 AM
meta updated this revision to Diff 69416.Mar 12 2020, 9:35 AM

update pkg-message of lang/ruby27

meta updated this revision to Diff 69458.Mar 13 2020, 9:17 AM

install irb manpage to manpath

This revision was not accepted when it landed; it landed in state Needs Review.Jun 13 2020, 8:42 PM
This revision was automatically updated to reflect the committed changes.